import { ElementRef, EventEmitter } from '@angular/core';
import { Base } from './Base';
import { DirectiveConfig } from '../models/directive-config';
export declare class FileToBase64 extends Base {
    files: any;
    type: string;
    multiple: undefined | null | string | boolean;
    filesChange: EventEmitter<any>;
    onProgress: EventEmitter<any>;
    onError: EventEmitter<any>;
    onAbort: EventEmitter<any>;
    static readonly config: DirectiveConfig;
    constructor(element: ElementRef);
    filesChanged(event: Event): void;
}
