import { Observable } from 'rxjs';
import { FileReaderInterface } from './file-reader.interface';
export declare class Base implements FileReaderInterface {
    private readonly TYPE_PROMISE;
    private readonly TYPE_SUBSCRIBER;
    private readonly returnType;
    constructor(returnType: string);
    toBase64(file: File): Observable<string> | Promise<string>;
    toText(file: File): Observable<string> | Promise<string>;
    toArrBuf(file: File): Observable<string> | Promise<string>;
    response(reader: FileReader): Observable<string> | Promise<string>;
}
