import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
export declare class Base implements OnInit, OnDestroy {
    type: string;
    multiple: undefined | null | string | boolean;
    filesChange: EventEmitter<any>;
    onProgress: EventEmitter<any>;
    onError: EventEmitter<any>;
    onAbort: EventEmitter<any>;
    private readonly TYPE_FILE;
    private readonly directiveName;
    private element;
    private converted;
    private currentIndex;
    constructor(name: string, element: ElementRef);
    ngOnInit(): void;
    filesChanged(event: Event, readerHandleFn: string, saveKey: string): void;
    handleError(event: any): void;
    handleProgress(event: any): void;
    handleAbort(): void;
    store(file: {
        target: any;
    }, key: string): void;
    ngOnDestroy(): void;
    readonly isSupported: boolean;
    readonly isMultiple: boolean;
}
